%define upstream_name    GD
%define upstream_version 2.46

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A perl5 interface to Thomas Boutell's gd library
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/GD/%{upstream_name}-%{upstream_version}.tar.gz
Patch2:     skip-jpg-test.diff

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::Trig)
BuildRequires: freetype-devel
BuildRequires: gd-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: perl-devel
BuildRequires: xpm-devel
BuildRequires: zlib-devel
%description
GD.pm is a autoloadable interface module for libgd, a popular library
for creating and manipulating PNG files.  With this library you can
create PNG images on the fly or modify existing files.  Features
include:

a.  lines, polygons, rectangles and arcs, both filled and unfilled
b.  flood fills
c.  the use of arbitrary images as brushes and as tiled fill patterns
d.  line styling (dashed lines and the like)
e.  horizontal and vertical text rendering
f.  support for transparency and interlacing

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch2 -p0

# Remove Local from path
find . -type f | xargs perl -p -i -e "s|/usr/local/|/usr/|g"

# lib64 fixes, don't add /usr/lib/X11 to linker search path
perl -pi -e "s|-L/usr/lib/X11||g;s|-L/usr/X11/lib||g;s|-L/usr/lib||g" Makefile.PL
perl -pi -e "s|(/usr/X11R6)/lib|\1/%{_lib}|g" Makefile.PL

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%ifnarch ppc
#FIXME: I would like the test to be more verbose
sed -i -e 's/TEST_VERBOSE=0/TEST_VERBOSE=1/' Makefile
#{__make} test
%endif

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc ChangeLog GD META.yml README
%{perl_vendorarch}/GD*
%{perl_vendorarch}/auto/GD*
%{perl_vendorarch}/qd.pl
%{_mandir}/man?/*
%{_bindir}/bdf2gdfont.pl


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.460.0-4.mga3
+ Revision: 367523
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2.460.0-3.mga3
+ Revision: 250643
- rebuild for perl 5.16

* Mon Sep 05 2011 fwang <fwang> 2.460.0-2.mga2
+ Revision: 138591
- rebuild for updated perl build flags

* Fri Jun 17 2011 jquelin <jquelin> 2.460.0-1.mga2
+ Revision: 108866
- update to 2.46

* Sat Jun 11 2011 spuhler <spuhler> 2.450.0-5.mga2
+ Revision: 104068
- increase rel for rebuild

* Thu Jan 27 2011 jquelin <jquelin> 2.450.0-4.mga1
+ Revision: 41926
- skipping tests, one of them fails
- mageia rebuild
- imported package perl-GD

  + shikamaru <shikamaru>
    - make the test verbose to see why it fails on BS

